## python-simpy3 3.0.7+dfsg

=== requirements.txt ===
cov-core==1.15.0
coverage==3.7.1
docutils==0.12
flake8==2.3.0
Jinja2==2.7.3
MarkupSafe==0.23
mccabe==0.3
pep8==1.5.7
pkginfo==1.2.1
py==1.4.26
pyflakes==0.8.1
Pygments==2.0.2
pytest==2.6.4
pytest-cov==1.8.1
requests==2.5.1
Sphinx==1.2.3
sphinx-rtd-theme==0.1.5
tox==1.8.1
twine==1.4.0
virtualenv==12.0.6
wheel==0.24.0

=== debian/changelog ===
python-simpy3 (3.0.7+dfsg-1) unstable; urgency=low

  * SimPy 3.0.7 release (Closes: #729866)
    - Simpy 3 API is not compatible with Simpy 2. For information on changes
    from Simpy 2, see
    http://simpy.rtfd.org/en/latest/topical_guides/porting_from_simpy2.html
  * Update to Standards-Version 3.9.6 (no changes)
  * Update License
  * Rewrite debian/rules to use pybuild
  * Patch sphinx docs to use local inventory instead of downloading from
  python.org

 -- Larissa Reis <larissa@colivre.coop.br>  Thu, 30 Apr 2015 01:57:50 -0300

python-simpy (2.3.1-1) unstable; urgency=low

  * New upstream release
    - Add a patch to fix the sphinx documentation build
    - Add a patch to fix README.txt's encoding for the python3 build
  * Add a python3-simpy binary package (SimPy now supports Python3!) 
  * Update to Standards-Version 3.9.3 (no changes)
  * Update the copyright file
    - Add the new contributors
    - Update format to 1.0
  * Run the tests at build-time (adding a Build-Depend on python-pytest)

 -- Nicolas Dandrimont <nicolas.dandrimont@crans.org>  Tue, 17 Apr 2012 20:24:05 +0200

python-simpy (2.2-1) unstable; urgency=low

  * New upstream release (Closes: #644671)

 -- Nicolas Dandrimont <nicolas.dandrimont@crans.org>  Wed, 12 Oct 2011 22:25:38 +0200

python-simpy (2.1.0-1) unstable; urgency=low

  * New upstream release (Closes: #463044)
  * Take over the package under the Python Modules Team.
     - Thanks Antal A. Buss for your work on this package.
  
  * Add debian/watch file
  * Update Standards-Version to 3.9.2 (no changes)
  * Bump dehelper compat level to 8
  * Switch to dh_python2
  * Switch to the 3.0 (quilt) source format
  * Build the documentation from source
  * Drop old Conflicts/Replaces
  * Update the copyright file, switch to DEP5

 -- Nicolas Dandrimont <nicolas.dandrimont@crans.org>  Sat, 20 Aug 2011 15:26:35 +0200

python-simpy (1.8-1) unstable; urgency=low

  * New upstream release (Closes: #409997)
  * add Homepage fields and remove Homepage from package description.
  * Removed pycompat file and X{B|S}-Python related fields
	
 -- Antal A. Buss <abuss@puj.edu.co>  Sun,  9 Dec 2007 02:08:36 -0500

python-simpy (1.7.1-1) unstable; urgency=low

  * New upstream release (Closes: #359028, #340295, #376083)
  * Acknowledge NMU (Closes: #373354)
  * Rewrite rules to follow new Python policy using python-support
  * Removed python2.3-simpy and python2.3-simpy-gui. 

 -- Antal A. Buss <abuss@puj.edu.co>  Wed, 16 Aug 2006 23:19:50 -0500

python-simpy (1.6-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update package to the last python policy (Closes: #373354).

 -- Pierre Habouzit <madcoder@debian.org>  Sun,  2 Jul 2006 15:25:51 +0200

python-simpy (1.6-1) unstable; urgency=low

  * New upstream release (closes: #313350)

 -- Antal A. Buss <abuss@puj.edu.co>  Mon, 13 Jun 2005 01:21:18 -0500

python-simpy (1.5.1-3) unstable; urgency=low

  * Fix section conflict in doc package

 -- Antal A. Buss <abuss@puj.edu.co>  Sun, 27 Mar 2005 21:36:06 -0500

python-simpy (1.5.1-2) unstable; urgency=low

  * Fix build depends (Closes: #300741)

 -- Antal A. Buss <abuss@puj.edu.co>  Sun, 20 Mar 2005 23:58:33 -0500

python-simpy (1.5.1-1) unstable; urgency=low

  * New upstream release (Closes: #285003, #293680)
  * New maintainer (Closes: #206274)
  * Moved docs in separated package.

 -- Antal A. Buss <abuss@puj.edu.co>  Sat,  5 Feb 2005 03:00:48 -0500

python-simpy (1.4.2-2) unstable; urgency=low

  * QA Upload
  * Remove GUIdemo.py from python-simpy (closes: 260679)

 -- Pierre Machard <pmachard@debian.org>  Fri, 23 Jul 2004 19:09:20 +0200

python-simpy (1.4.2-1) unstable; urgency=low

  * QA Upload 
  * Add python as Build-Depends (closes: #259123)
  * New upstream release (closes: #242988, #252003)

 -- Pierre Machard <pmachard@debian.org>  Mon, 19 Jul 2004 00:56:33 +0200

python-simpy (1.4-0.1) unstable; urgency=low

  * NMU.
  * New upstream release, thanks to Tony Vignaux (Closes: #230731).
  * New GUI stuff: Moved in separate package.
  * Changed build to CDBS and latest debhelper.

 -- W. Borgert <debacle@debian.org>  Wed, 04 Feb 2004 22:02:20 +0000

python-simpy (1.3-0.2) unstable; urgency=low

  * NMU.
  * Fix python interpreter in python2.3-simpy package (closes: #207316).

 -- Matthias Klose <doko@debian.org>  Fri,  5 Sep 2003 23:01:11 +0200

python-simpy (1.3-0.1) unstable; urgency=low

  * New upstream (closes: #192526, #198586).
  * Depends on Debian's default Python version 2.3.
  * Orphaned the package.

 -- W. Borgert <debacle@debian.org>  Sun, 10 Aug 2003 18:54:12 +0200

python-simpy (1.0.1-1) unstable; urgency=low

  * Initial Release.

 -- W. Borgert <debacle@debian.org>  Sun, 12 Jan 2003 12:53:57 +0000

=== debian/control ===
Source: python-simpy3
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Larissa Reis <larissa@colivre.coop.br>
Build-Depends: 
 debhelper (>= 9),
 dh-python,
 python-all (>= 2.7),
 python3-all (>= 3.2),
 python-setuptools,
 python3-setuptools,
 python-pytest,
 python3-pytest,
 python-sphinx (>= 1.0.7+dfsg-1~)
Standards-Version: 3.9.6
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.2
Homepage: http://simpy.rtfd.org
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-simpy3/trunk/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-simpy3/trunk/

Package: python-simpy3
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Recommends: python-simpy3-doc
Description: python-based simulation package 
 SimPy is a process-based discrete-event simulation language based on
 standard Python.
 .
 Its event dispatcher is based on Python’s generators and can also be
 used for asynchronous networking or to implement multi-agent systems (with
 both, simulated and real communication). Processes in SimPy are defined by
 Python generator functions and can, for example, be used to model active
 components like customers, vehicles or agents. SimPy also provides various
 types of shared resources to model limited capacity congestion points (like
 servers, checkout counters and tunnels).
 .
 This package contains SimPy 3, which has conceptual and API changes from the
 previous version SimPy 2.

Package: python3-simpy3
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Recommends: python-simpy3-doc
Description: python-based simulation package (Python3 version) 
 SimPy is a process-based discrete-event simulation language based on
 standard Python.
 .
 Its event dispatcher is based on Python’s generators and can also be
 used for asynchronous networking or to implement multi-agent systems (with
 both, simulated and real communication). Processes in SimPy are defined by
 Python generator functions and can, for example, be used to model active
 components like customers, vehicles or agents. SimPy also provides various
 types of shared resources to model limited capacity congestion points (like
 servers, checkout counters and tunnels).
 .
 This package contains the Python3 version of SimPy 3.

Package: python-simpy3-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: python-based simulation package, Documentation and examples
 SimPy is a process-based discrete-event simulation language based on
 standard Python.
 .
 Its event dispatcher is based on Python’s generators and can also be
 used for asynchronous networking or to implement multi-agent systems (with
 both, simulated and real communication). Processes in SimPy are defined by
 Python generator functions and can, for example, be used to model active
 components like customers, vehicles or agents. SimPy also provides various
 types of shared resources to model limited capacity congestion points (like
 servers, checkout counters and tunnels).
 .
 This package contains the HTML docs and examples of SimPy 3.

=== debian/rules ===
#!/usr/bin/make -f
# -*- coding: utf-8 -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=simpy3
UPSTREAM_VERSION = $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ' | sed 's/+dfsg.*//')

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test -- -s custom --test-args="{interpreter} -c 'import simpy; simpy.test()'"
endif

override_dh_installchangelogs:
	dh_installchangelogs
	# install the upstream changelog at the right place in the doc package
	dh_installchangelogs -ppython-simpy3-doc docs/about/history.rst

override_dh_compress:
	dh_compress -X.py -X.txt -X.inv

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	make -C docs html
	# removes extra license file
	rm docs/_build/html/_sources/about/license.txt
	# install doc from dir 'html'
	cp -auxf docs/_build/html debian/python-simpy3-doc/usr/share/doc/python-simpy3-doc/html

	dh_sphinxdoc -Xlicense.txt
endif

override_dh_auto_clean:
	dh_auto_clean

	rm -rf build/
	rm -rf simpy/__pycache__/
	rm -rf simpy/test/__pycache__/
	rm -rf simpy/resources/__pycache__/
	$(MAKE) -C docs clean

get-orig-source:
	@echo "# Downloading..."
	uscan --download-version $(UPSTREAM_VERSION) --force-download --rename
	@echo "# Cleaning-up..."
	gunzip -f ../python-simpy3_$(UPSTREAM_VERSION).orig.tar.gz
	tar --delete --file=../python-simpy3_$(UPSTREAM_VERSION).orig.tar \
	    simpy-$(UPSTREAM_VERSION)/docs/__pycache__/ \
	    simpy-$(UPSTREAM_VERSION)/docs/_build/
	@echo "# Packing..."
	gzip -f ../python-simpy3_$(UPSTREAM_VERSION).orig.tar
	mv -f ../python-simpy3_$(UPSTREAM_VERSION).orig.tar.gz ../python-simpy3_$(UPSTREAM_VERSION)+dfsg.orig.tar.gz

## python-simpy3 3.0.10

=== requirements.txt ===
alabaster==0.7.7
Babel==2.2.0
coverage==4.0.3
docutils==0.12
flake8==2.5.4
Jinja2==2.8
MarkupSafe==0.23
mccabe==0.4.0
pep8==1.7.0
pkginfo==1.2.1
pluggy==0.3.1
py==1.4.31
pyflakes==1.1.0
Pygments==2.1.3
pytest==2.9.1
pytest-benchmark==3.0.0
pytest-cov==2.2.1
pytz==2016.2
requests==2.9.1
requests-toolbelt==0.6.0
six==1.10.0
snowballstemmer==1.2.1
Sphinx==1.3.6
sphinx-rtd-theme==0.1.9
tox==2.3.1
twine==1.6.5
virtualenv==15.0.1

=== debian/changelog ===
python-simpy3 (3.0.10-2) unstable; urgency=medium

  * Do not remove license file, that is part of package docs
    (Closes: #869528)
  * New policy version 4.0.1 (no changes)

 -- W. Martin Borgert <debacle@debian.org>  Fri, 25 Aug 2017 20:40:01 +0000

python-simpy3 (3.0.10-1) unstable; urgency=low

  * New upstream release 3.0.10
  * Update to Standards-Version 3.9.8 (no changes)
  * Add myself to uploaders

  [ Larissa Reis ]
  * New upstream release 3.0.8
  * New monitoring guide in documentation
  * Fixed and improved test cases

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

 -- W. Martin Borgert <debacle@debian.org>  Mon, 26 Sep 2016 20:32:19 +0000

=== debian/control ===
--- 
+++ 
@@ -2,23 +2,24 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Larissa Reis <larissa@colivre.coop.br>
+Uploaders: Larissa Reis <larissa@colivre.coop.br>,
+ W. Martin Borgert <debacle@debian.org>
 Build-Depends: 
- debhelper (>= 9),
+ debhelper (>= 10),
  dh-python,
  python-all (>= 2.7),
  python3-all (>= 3.2),
  python-setuptools,
  python3-setuptools,
  python-pytest,
+ python3-doc,
  python3-pytest,
- python-sphinx (>= 1.0.7+dfsg-1~)
-Standards-Version: 3.9.6
-X-Python-Version: >= 2.7
+ python3-sphinx (>= 1.0.7+dfsg-1~)
+Standards-Version: 4.0.1
 X-Python3-Version: >= 3.2
 Homepage: http://simpy.rtfd.org
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-simpy3/trunk/
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-simpy3/trunk/
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-simpy3.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-simpy3.git
 
 Package: python-simpy3
 Architecture: all
@@ -60,6 +61,7 @@
 Package: python-simpy3-doc
 Architecture: all
 Section: doc
+Multi-Arch: foreign
 Depends: ${sphinxdoc:Depends}, ${misc:Depends}
 Description: python-based simulation package, Documentation and examples
  SimPy is a process-based discrete-event simulation language based on
@@ -74,4 +76,3 @@
  servers, checkout counters and tunnels).
  .
  This package contains the HTML docs and examples of SimPy 3.
-

=== debian/rules ===
--- 
+++ 
@@ -10,11 +10,6 @@
 %:
 	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
 
-override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	dh_auto_test -- -s custom --test-args="{interpreter} -c 'import simpy; simpy.test()'"
-endif
-
 override_dh_installchangelogs:
 	dh_installchangelogs
 	# install the upstream changelog at the right place in the doc package
@@ -26,8 +21,6 @@
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
 	make -C docs html
-	# removes extra license file
-	rm docs/_build/html/_sources/about/license.txt
 	# install doc from dir 'html'
 	cp -auxf docs/_build/html debian/python-simpy3-doc/usr/share/doc/python-simpy3-doc/html

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$// \
  http://pypi.debian.net/simpy/simpy-([\d+\.]+|\d+)\.tar\.gz

## python-simpy3 3.0.11

=== requirements.txt ===
alabaster==0.7.11
atomicwrites==1.1.5
attrs==18.1.0
Babel==2.6.0
certifi==2018.4.16
chardet==3.0.4
coverage==4.5.1
docutils==0.14
flake8==3.5.0
idna==2.7
imagesize==1.0.0
Jinja2==2.10
MarkupSafe==1.0
mccabe==0.6.1
more-itertools==4.2.0
packaging==17.1
pkginfo==1.4.2
pluggy==0.6.0
py==1.5.4
pycodestyle==2.3.1
py-cpuinfo==4.0.0
pyflakes==1.6.0
Pygments==2.2.0
pyparsing==2.2.0
pytest==3.6.3
pytest-benchmark==3.1.1
pytest-cov==2.5.1
pytz==2018.5
requests==2.19.1
requests-toolbelt==0.8.0
six==1.11.0
snowballstemmer==1.2.1
Sphinx==1.7.5
sphinxcontrib-websupport==1.1.0
sphinx-rtd-theme==0.4.0
tox==3.1.2
tqdm==4.23.4
twine==1.11.0
urllib3==1.23
virtualenv==16.0.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -n
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use 'make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/* ./html

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/SimPy.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/SimPy.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/SimPy"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/SimPy"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-simpy3 (3.0.11-3) unstable; urgency=medium

  [ Jonathan Carter ]
  * Merge MR#1 from salsa, updating maintainer e-mail address.

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Bump debhelper from old 11 to 12.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Sandro Tosi <morph@debian.org>  Sat, 04 Jun 2022 12:14:01 -0400

python-simpy3 (3.0.11-2) unstable; urgency=medium

  * Team upload.
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support.

 -- Ondřej Nový <onovy@debian.org>  Thu, 25 Jul 2019 15:53:13 +0200

python-simpy3 (3.0.11-1) unstable; urgency=medium

  * Team upload
  * New version, support Python 3.7 (Closes: #907067)

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces
  * d/control: Remove ancient X-Python3-Version field

 -- W. Martin Borgert <debacle@debian.org>  Sat, 15 Sep 2018 22:31:38 +0000

python-simpy3 (3.0.10-3) unstable; urgency=medium

  * team upload
  * fix doc-base file (Closes: #873312)
  * bump standards and dh compat
  * remove myself from uploaders

  [ Ondřej Nový <onovy@debian.org>, 2018-02-13 ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/watch: Use https protocol

 -- W. Martin Borgert <debacle@debian.org>  Mon, 05 Mar 2018 23:27:17 +0000

=== debian/control ===
Source: python-simpy3
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Larissa Reis <reiss.larissa@gmail.com>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all (>= 3.2),
 python3-setuptools,
 python3-doc,
 python3-pytest,
 python3-sphinx (>= 1.0.7+dfsg-1~)
Standards-Version: 4.1.3
Rules-Requires-Root: no
Homepage: https://simpy.rtfd.org
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-simpy3
Vcs-Git: https://salsa.debian.org/python-team/packages/python-simpy3.git

Package: python3-simpy3
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Recommends: python-simpy3-doc
Description: python-based simulation package (Python3 version)
 SimPy is a process-based discrete-event simulation language based on
 standard Python.
 .
 Its event dispatcher is based on Python’s generators and can also be
 used for asynchronous networking or to implement multi-agent systems (with
 both, simulated and real communication). Processes in SimPy are defined by
 Python generator functions and can, for example, be used to model active
 components like customers, vehicles or agents. SimPy also provides various
 types of shared resources to model limited capacity congestion points (like
 servers, checkout counters and tunnels).
 .
 This package contains the Python3 version of SimPy 3.

Package: python-simpy3-doc
Architecture: all
Section: doc
Multi-Arch: foreign
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: python-based simulation package, Documentation and examples
 SimPy is a process-based discrete-event simulation language based on
 standard Python.
 .
 Its event dispatcher is based on Python’s generators and can also be
 used for asynchronous networking or to implement multi-agent systems (with
 both, simulated and real communication). Processes in SimPy are defined by
 Python generator functions and can, for example, be used to model active
 components like customers, vehicles or agents. SimPy also provides various
 types of shared resources to model limited capacity congestion points (like
 servers, checkout counters and tunnels).
 .
 This package contains the HTML docs and examples of SimPy 3.

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$// \
  https://pypi.debian.net/simpy/simpy-([\d+\.]+|\d+)\.tar\.gz
